# Interface methods for submodule: VersorTransform
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import Rigid3DTransformProxy as _Rigid3DTransformProxy


# Interface methods for class: VersorTransform
class VersorTransformProxy(_Rigid3DTransformProxy):
	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def SetParameters(self, parameters) -> None:
		""""""
		...

	def GetParameters(self):
		""""""
		...

	@overload
	def SetRotation(self, versor) -> None:
		""""""
		...

	@overload
	def SetRotation(self, axis: Sequence[float], angle: float) -> None:
		""""""
		...

	def GetVersor(self):
		""""""
		...

	def SetIdentity(self) -> None:
		""""""
		...

	def ComputeJacobianWithRespectToParameters(self, p: Sequence[float], jacobian) -> None:
		""""""
		...

